#!/usr/bin/env node
const program = require('commander');
const utils = require('./utils/util');
const { version = '0.0.1' } = utils.getProjectPkg();

// 如果没输入参数
if (!process.argv.slice(2).length) {
    program.outputHelp();
}

program
    .option('-v, --version', '显示版本号', () => console.log(`version: ${version}`));

program
    .command('build')
    .description('编译')
    .action(() => require('./lib/build')());

program
    .command('start')
    .description('start 热更新')
    .action(() => require('./lib/start'));

program
    .command('page')
    .description('新建页面')
    .action(() => console.log('new page 暂不支持 开发中'))

program
    .command('component')
    .description('新建组件 暂不支持 开发中')
    .action( () => console.log('new component 暂不支持 开发中'))

program
    .command('init')
    .description('新建项目 暂不支持 开发中')
    .action(() => console.log('new project 暂不支持 开发中'))

program.parse(process.argv)